classification
Title: test_gdb failures
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.1, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, dmalcolm, doko, georg.brandl, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2013-04-13 12:30 by pitrou, last changed 2013-04-30 22:22 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
test_gdb.patch pitrou, 2013-04-25 23:14 review
Messages (7)
msg186708 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-13 12:30
I'm getting multiple test_gdb failures on a new (XUbuntu 13.04) system:

======================================================================
FAIL: test_basic_command (test.test_gdb.PyLocalsTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/antoine/cpython/33/Lib/test/test_gdb.py", line 822, in test_basic_command
    cmds_after_breakpoint=['py-locals'])
  File "/home/antoine/cpython/33/Lib/test/test_gdb.py", line 170, in get_stack_trace
    self.assertEqual(err, '')
AssertionError: 'warning: no loadable sections found in added symbol-file system-supplied DSO at [truncated]... != ''
- warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7ffff7ffa000


(all test methods produce the same error)
msg186711 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-04-13 12:33
I guess that warning needs to be added to all the others in test_gdb around line 150...
msg186712 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-13 12:34
(if anyone knows why that warning appears, by the way, I'll be glad to hear about it :-))
msg187077 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2013-04-16 13:50
Possibly this issue: Possibly this issue: https://bugzilla.redhat.com/show_bug.cgi?id=312011

I'm seeing tons of this on Ubuntu 13.04.
msg187823 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-25 23:14
Here is a patch.
msg188190 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-30 22:17
New changeset 4e58cafbebfc by Antoine Pitrou in branch '3.3':
Issue #17712: Fix test_gdb failures on Ubuntu 13.04.
http://hg.python.org/cpython/rev/4e58cafbebfc

New changeset 4e186581fea7 by Antoine Pitrou in branch 'default':
Issue #17712: Fix test_gdb failures on Ubuntu 13.04.
http://hg.python.org/cpython/rev/4e186581fea7
msg188191 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-30 22:21
New changeset c241831a91f2 by Antoine Pitrou in branch '2.7':
Issue #17712: Fix test_gdb failures on Ubuntu 13.04.
http://hg.python.org/cpython/rev/c241831a91f2
History
Date User Action Args
2013-04-30 22:22:14pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-04-30 22:21:21python-devsetmessages: + msg188191
2013-04-30 22:17:54python-devsetnosy: + python-dev
messages: + msg188190
2013-04-25 23:14:49pitrousetfiles: + test_gdb.patch
keywords: + patch
messages: + msg187823

stage: patch review
2013-04-16 13:50:30barrysetmessages: + msg187077
2013-04-16 13:49:52barrysetnosy: + barry, doko
2013-04-13 12:34:28pitrousetmessages: + msg186712
2013-04-13 12:33:37georg.brandlsetnosy: + georg.brandl
messages: + msg186711
2013-04-13 12:30:45pitroucreate